{% load static %}

<!DOCTYPE html>
<html lang="en">



<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{recipe_object.title}} - Scrumptious Recipes</title>
    <link rel="stylesheet" href="{% static "css/recipes.css" %}">
</head>

<body>
    <header>
        <nav>
            <a href="{% url 'go_home' %}" class="a1">Main Page</a>

        </nav>
    </header>
    <main>
        <h1>{{recipe_object.title}}</h1>
           <img src="{{ recipe_object.picture }}">

        <div>4.3 Stars</div>
        <p>{{ recipe_object.description }}</p>
        <h2>Ingredients</h2>
        <table class= "ingredients-table">
            <thead>
                <tr>
                    <th>Amount</th>
                    <th>Food Item</th>
                </tr>
            </thead>
            <tbody>
                {%for ingredient in recipe_object.ingredients.all %}
                <tr>
                    <td> {{ ingredient.amount }} </td>
                    <td> {{ ingredient.food_item }} </td>

                </tr>
                {% endfor %}
            </tbody>
        </table>
        <h2>Steps</h2>
        <ol>
           {% for step in recipe_object.steps.all %}
              <li> {{ step.instruction}} </li>
            {% endfor %}


        </ol>
    </main>
    <footer>Made with love by Scrumptious Recipes </footer>
</body>

</html>
